diff --git a/config/rootfiles/common/URI b/config/rootfiles/common/URI
index 3c7b84ecb..6cd15d5fc 100644
--- a/config/rootfiles/common/URI
+++ b/config/rootfiles/common/URI
@@ -1,57 +1,57 @@
-#usr/lib/perl5/site_perl/5.30.0/URI
-usr/lib/perl5/site_perl/5.30.0/URI.pm
-usr/lib/perl5/site_perl/5.30.0/URI/Escape.pm
-usr/lib/perl5/site_perl/5.30.0/URI/Heuristic.pm
-usr/lib/perl5/site_perl/5.30.0/URI/QueryParam.pm
-usr/lib/perl5/site_perl/5.30.0/URI/Split.pm
-usr/lib/perl5/site_perl/5.30.0/URI/URL.pm
-usr/lib/perl5/site_perl/5.30.0/URI/WithBase.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_foreign.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_generic.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_ldap.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_login.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_query.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_segment.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_server.pm
-usr/lib/perl5/site_perl/5.30.0/URI/_userpass.pm
-usr/lib/perl5/site_perl/5.30.0/URI/data.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file
-usr/lib/perl5/site_perl/5.30.0/URI/file.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/Base.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/FAT.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/Mac.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/OS2.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/QNX.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/Unix.pm
-usr/lib/perl5/site_perl/5.30.0/URI/file/Win32.pm
-usr/lib/perl5/site_perl/5.30.0/URI/ftp.pm
-usr/lib/perl5/site_perl/5.30.0/URI/gopher.pm
-usr/lib/perl5/site_perl/5.30.0/URI/http.pm
-usr/lib/perl5/site_perl/5.30.0/URI/https.pm
-usr/lib/perl5/site_perl/5.30.0/URI/ldap.pm
-usr/lib/perl5/site_perl/5.30.0/URI/ldapi.pm
-usr/lib/perl5/site_perl/5.30.0/URI/ldaps.pm
-usr/lib/perl5/site_perl/5.30.0/URI/mailto.pm
-usr/lib/perl5/site_perl/5.30.0/URI/mms.pm
-usr/lib/perl5/site_perl/5.30.0/URI/news.pm
-usr/lib/perl5/site_perl/5.30.0/URI/nntp.pm
-usr/lib/perl5/site_perl/5.30.0/URI/pop.pm
-usr/lib/perl5/site_perl/5.30.0/URI/rlogin.pm
-usr/lib/perl5/site_perl/5.30.0/URI/rsync.pm
-usr/lib/perl5/site_perl/5.30.0/URI/rtsp.pm
-usr/lib/perl5/site_perl/5.30.0/URI/rtspu.pm
-usr/lib/perl5/site_perl/5.30.0/URI/sip.pm
-usr/lib/perl5/site_perl/5.30.0/URI/sips.pm
-usr/lib/perl5/site_perl/5.30.0/URI/snews.pm
-usr/lib/perl5/site_perl/5.30.0/URI/ssh.pm
-usr/lib/perl5/site_perl/5.30.0/URI/telnet.pm
-usr/lib/perl5/site_perl/5.30.0/URI/tn3270.pm
-#usr/lib/perl5/site_perl/5.30.0/URI/urn
-usr/lib/perl5/site_perl/5.30.0/URI/urn.pm
-usr/lib/perl5/site_perl/5.30.0/URI/urn/isbn.pm
-usr/lib/perl5/site_perl/5.30.0/URI/urn/oid.pm
-#usr/lib/perl5/site_perl/5.30.0/xxxMACHINExxx-linux-thread-multi/auto/URI
-#usr/lib/perl5/site_perl/5.30.0/xxxMACHINExxx-linux-thread-multi/auto/URI/.packlist
+#usr/lib/perl5/site_perl/5.32.1/URI
+usr/lib/perl5/site_perl/5.32.1/URI.pm
+usr/lib/perl5/site_perl/5.32.1/URI/Escape.pm
+usr/lib/perl5/site_perl/5.32.1/URI/Heuristic.pm
+usr/lib/perl5/site_perl/5.32.1/URI/QueryParam.pm
+usr/lib/perl5/site_perl/5.32.1/URI/Split.pm
+usr/lib/perl5/site_perl/5.32.1/URI/URL.pm
+usr/lib/perl5/site_perl/5.32.1/URI/WithBase.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_foreign.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_generic.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_ldap.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_login.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_query.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_segment.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_server.pm
+usr/lib/perl5/site_perl/5.32.1/URI/_userpass.pm
+usr/lib/perl5/site_perl/5.32.1/URI/data.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file
+usr/lib/perl5/site_perl/5.32.1/URI/file.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/Base.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/FAT.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/Mac.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/OS2.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/QNX.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/Unix.pm
+usr/lib/perl5/site_perl/5.32.1/URI/file/Win32.pm
+usr/lib/perl5/site_perl/5.32.1/URI/ftp.pm
+usr/lib/perl5/site_perl/5.32.1/URI/gopher.pm
+usr/lib/perl5/site_perl/5.32.1/URI/http.pm
+usr/lib/perl5/site_perl/5.32.1/URI/https.pm
+usr/lib/perl5/site_perl/5.32.1/URI/ldap.pm
+usr/lib/perl5/site_perl/5.32.1/URI/ldapi.pm
+usr/lib/perl5/site_perl/5.32.1/URI/ldaps.pm
+usr/lib/perl5/site_perl/5.32.1/URI/mailto.pm
+usr/lib/perl5/site_perl/5.32.1/URI/mms.pm
+usr/lib/perl5/site_perl/5.32.1/URI/news.pm
+usr/lib/perl5/site_perl/5.32.1/URI/nntp.pm
+usr/lib/perl5/site_perl/5.32.1/URI/pop.pm
+usr/lib/perl5/site_perl/5.32.1/URI/rlogin.pm
+usr/lib/perl5/site_perl/5.32.1/URI/rsync.pm
+usr/lib/perl5/site_perl/5.32.1/URI/rtsp.pm
+usr/lib/perl5/site_perl/5.32.1/URI/rtspu.pm
+usr/lib/perl5/site_perl/5.32.1/URI/sip.pm
+usr/lib/perl5/site_perl/5.32.1/URI/sips.pm
+usr/lib/perl5/site_perl/5.32.1/URI/snews.pm
+usr/lib/perl5/site_perl/5.32.1/URI/ssh.pm
+usr/lib/perl5/site_perl/5.32.1/URI/telnet.pm
+usr/lib/perl5/site_perl/5.32.1/URI/tn3270.pm
+#usr/lib/perl5/site_perl/5.32.1/URI/urn
+usr/lib/perl5/site_perl/5.32.1/URI/urn.pm
+usr/lib/perl5/site_perl/5.32.1/URI/urn/isbn.pm
+usr/lib/perl5/site_perl/5.32.1/URI/urn/oid.pm
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/URI
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/URI/.packlist
 #usr/share/man/man3/URI.3
 #usr/share/man/man3/URI::Escape.3
 #usr/share/man/man3/URI::Heuristic.3