diff --git a/config/rootfiles/common/gnupg b/config/rootfiles/common/gnupg
index edd2beccb..8bcad92da 100644
--- a/config/rootfiles/common/gnupg
+++ b/config/rootfiles/common/gnupg
@@ -1,16 +1,103 @@
+#usr/bin/dirmngr
+#usr/bin/dirmngr-client
 usr/bin/gpg
-#usr/bin/gpg-zip
+#usr/bin/gpg-agent
+#usr/bin/gpg-connect-agent
+#usr/bin/gpg-wks-server
+#usr/bin/gpgconf
+#usr/bin/gpgparsemail
+#usr/bin/gpgscm
+#usr/bin/gpgsm
 #usr/bin/gpgsplit
+#usr/bin/gpgtar
 #usr/bin/gpgv
-#usr/lib/gnupg
-usr/lib/gnupg/gpgkeys_curl
-usr/lib/gnupg/gpgkeys_finger
-usr/lib/gnupg/gpgkeys_hkp
-usr/lib/gnupg/gpgkeys_ldap
+#usr/bin/kbxutil
+#usr/bin/watchgnupg
+usr/lib/dirmngr_ldap
+usr/lib/gpg-check-pattern
+usr/lib/gpg-preset-passphrase
+usr/lib/gpg-protect-tool
+usr/lib/gpg-wks-client
+usr/lib/scdaemon
+#usr/sbin/addgnupghome
+#usr/sbin/applygnupgdefaults
+#usr/share/doc/gnupg
+#usr/share/doc/gnupg/DCO
+#usr/share/doc/gnupg/DETAILS
+#usr/share/doc/gnupg/FAQ
+#usr/share/doc/gnupg/HACKING
+#usr/share/doc/gnupg/KEYSERVER
+#usr/share/doc/gnupg/OpenPGP
+#usr/share/doc/gnupg/README
+#usr/share/doc/gnupg/TRANSLATE
+#usr/share/doc/gnupg/examples
+#usr/share/doc/gnupg/examples/Automatic.prf
+#usr/share/doc/gnupg/examples/README
+#usr/share/doc/gnupg/examples/VS-NfD.prf
+#usr/share/doc/gnupg/examples/debug.prf
+#usr/share/doc/gnupg/examples/gpgconf.conf
+#usr/share/doc/gnupg/examples/pwpattern.list
+#usr/share/doc/gnupg/examples/scd-event
+#usr/share/doc/gnupg/examples/systemd-user
+#usr/share/doc/gnupg/examples/systemd-user/README
+#usr/share/doc/gnupg/examples/systemd-user/dirmngr.service
+#usr/share/doc/gnupg/examples/systemd-user/dirmngr.socket
+#usr/share/doc/gnupg/examples/systemd-user/gpg-agent-browser.socket
+#usr/share/doc/gnupg/examples/systemd-user/gpg-agent-extra.socket
+#usr/share/doc/gnupg/examples/systemd-user/gpg-agent-ssh.socket
+#usr/share/doc/gnupg/examples/systemd-user/gpg-agent.service
+#usr/share/doc/gnupg/examples/systemd-user/gpg-agent.socket
+#usr/share/doc/gnupg/examples/trustlist.txt
 #usr/share/gnupg
-#usr/share/gnupg/FAQ
-#usr/share/gnupg/options.skel
-#usr/share/info/gnupg1.info
-#usr/share/man/man1/gpg-zip.1
+#usr/share/gnupg/distsigkey.gpg
+#usr/share/gnupg/help.be.txt
+#usr/share/gnupg/help.ca.txt
+#usr/share/gnupg/help.cs.txt
+#usr/share/gnupg/help.da.txt
+#usr/share/gnupg/help.de.txt
+#usr/share/gnupg/help.el.txt
+#usr/share/gnupg/help.eo.txt
+#usr/share/gnupg/help.es.txt
+#usr/share/gnupg/help.et.txt
+#usr/share/gnupg/help.fi.txt
+#usr/share/gnupg/help.fr.txt
+#usr/share/gnupg/help.gl.txt
+#usr/share/gnupg/help.hu.txt
+#usr/share/gnupg/help.id.txt
+#usr/share/gnupg/help.it.txt
+#usr/share/gnupg/help.ja.txt
+#usr/share/gnupg/help.nb.txt
+#usr/share/gnupg/help.pl.txt
+#usr/share/gnupg/help.pt.txt
+#usr/share/gnupg/help.pt_BR.txt
+#usr/share/gnupg/help.ro.txt
+#usr/share/gnupg/help.ru.txt
+#usr/share/gnupg/help.sk.txt
+#usr/share/gnupg/help.sv.txt
+#usr/share/gnupg/help.tr.txt
+#usr/share/gnupg/help.txt
+#usr/share/gnupg/help.zh_CN.txt
+#usr/share/gnupg/help.zh_TW.txt
+#usr/share/gnupg/sks-keyservers.netCA.pem
+#usr/share/info/gnupg.info
+#usr/share/info/gnupg.info-1
+#usr/share/info/gnupg.info-2
+#usr/share/man/man1/dirmngr-client.1
+#usr/share/man/man1/gpg-agent.1
+#usr/share/man/man1/gpg-connect-agent.1
+#usr/share/man/man1/gpg-preset-passphrase.1
+#usr/share/man/man1/gpg-wks-client.1
+#usr/share/man/man1/gpg-wks-server.1
 #usr/share/man/man1/gpg.1
+#usr/share/man/man1/gpgconf.1
+#usr/share/man/man1/gpgparsemail.1
+#usr/share/man/man1/gpgsm.1
+#usr/share/man/man1/gpgtar.1
 #usr/share/man/man1/gpgv.1
+#usr/share/man/man1/scdaemon.1
+#usr/share/man/man1/symcryptrun.1
+#usr/share/man/man1/watchgnupg.1
+#usr/share/man/man7/gnupg.7
+#usr/share/man/man8/addgnupghome.8
+#usr/share/man/man8/applygnupgdefaults.8
+#usr/share/man/man8/dirmngr.8
diff --git a/lfs/gnupg b/lfs/gnupg
index f94948fe9..16effeaa2 100644
--- a/lfs/gnupg
+++ b/lfs/gnupg
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.4.23
+VER        = 2.2.27
 
 THISAPP    = gnupg-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -42,7 +42,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = b1df02c73572f27bc859ac05ff2259ab
+$(DL_FILE)_MD5 = a9c002b5356103c97412955a1956ae0c
 
 install : $(TARGET)
 
diff --git a/make.sh b/make.sh
index 0c124ac81..a9d71768a 100755
--- a/make.sh
+++ b/make.sh
@@ -1311,6 +1311,8 @@ buildipfire() {
   lfsmake2 perl-Device-Modem
   lfsmake2 perl-Apache-Htpasswd
   lfsmake2 perl-Parse-Yapp
+  lfsmake2 libksba
+  lfsmake2 npth
   lfsmake2 gnupg
   lfsmake2 hdparm
   lfsmake2 sdparm