diff --git a/config/rootfiles/packages/gpgme b/config/rootfiles/packages/gpgme
index 2a035231d..9a5586da0 100644
--- a/config/rootfiles/packages/gpgme
+++ b/config/rootfiles/packages/gpgme
@@ -1,15 +1,165 @@
 usr/bin/gpgme-config
+#usr/bin/gpgme-json
+#usr/bin/gpgme-tool
+#usr/include/gpgme++
+#usr/include/gpgme++/configuration.h
+#usr/include/gpgme++/context.h
+#usr/include/gpgme++/data.h
+#usr/include/gpgme++/decryptionresult.h
+#usr/include/gpgme++/defaultassuantransaction.h
+#usr/include/gpgme++/editinteractor.h
+#usr/include/gpgme++/encryptionresult.h
+#usr/include/gpgme++/engineinfo.h
+#usr/include/gpgme++/error.h
+#usr/include/gpgme++/eventloopinteractor.h
+#usr/include/gpgme++/exception.h
+#usr/include/gpgme++/global.h
+#usr/include/gpgme++/gpgadduserideditinteractor.h
+#usr/include/gpgme++/gpgagentgetinfoassuantransaction.h
+#usr/include/gpgme++/gpggencardkeyinteractor.h
+#usr/include/gpgme++/gpgmefw.h
+#usr/include/gpgme++/gpgmepp_export.h
+#usr/include/gpgme++/gpgmepp_version.h
+#usr/include/gpgme++/gpgsetexpirytimeeditinteractor.h
+#usr/include/gpgme++/gpgsetownertrusteditinteractor.h
+#usr/include/gpgme++/gpgsignkeyeditinteractor.h
+#usr/include/gpgme++/importresult.h
+#usr/include/gpgme++/interfaces
+#usr/include/gpgme++/interfaces/assuantransaction.h
+#usr/include/gpgme++/interfaces/dataprovider.h
+#usr/include/gpgme++/interfaces/passphraseprovider.h
+#usr/include/gpgme++/interfaces/progressprovider.h
+#usr/include/gpgme++/interfaces/statusconsumer.h
+#usr/include/gpgme++/key.h
+#usr/include/gpgme++/keygenerationresult.h
+#usr/include/gpgme++/keylistresult.h
+#usr/include/gpgme++/notation.h
+#usr/include/gpgme++/result.h
+#usr/include/gpgme++/scdgetinfoassuantransaction.h
+#usr/include/gpgme++/signingresult.h
+#usr/include/gpgme++/statusconsumerassuantransaction.h
+#usr/include/gpgme++/swdbresult.h
+#usr/include/gpgme++/tofuinfo.h
+#usr/include/gpgme++/trustitem.h
+#usr/include/gpgme++/verificationresult.h
+#usr/include/gpgme++/vfsmountresult.h
 #usr/include/gpgme.h
-#usr/lib/libgpgme-pthread.la
-usr/lib/libgpgme-pthread.so
-usr/lib/libgpgme-pthread.so.11
-usr/lib/libgpgme-pthread.so.11.8.1
+#usr/lib/cmake/Gpgmepp
+#usr/lib/cmake/Gpgmepp/GpgmeppConfig.cmake
+#usr/lib/cmake/Gpgmepp/GpgmeppConfigVersion.cmake
 #usr/lib/libgpgme.la
-usr/lib/libgpgme.so
+#usr/lib/libgpgme.so
 usr/lib/libgpgme.so.11
-usr/lib/libgpgme.so.11.8.1
+usr/lib/libgpgme.so.11.24.1
+#usr/lib/libgpgmepp.la
+#usr/lib/libgpgmepp.so
+usr/lib/libgpgmepp.so.6
+usr/lib/libgpgmepp.so.6.12.1
+#usr/lib/pkgconfig/gpgme-glib.pc
+#usr/lib/pkgconfig/gpgme.pc
+#usr/lib/python2.7/site-packages/gpg
+#usr/lib/python2.7/site-packages/gpg-1.15.1-py2.7.egg-info
+#usr/lib/python2.7/site-packages/gpg/__init__.py
+#usr/lib/python2.7/site-packages/gpg/__init__.pyc
+#usr/lib/python2.7/site-packages/gpg/_gpgme.so
+#usr/lib/python2.7/site-packages/gpg/callbacks.py
+#usr/lib/python2.7/site-packages/gpg/callbacks.pyc
+#usr/lib/python2.7/site-packages/gpg/constants
+#usr/lib/python2.7/site-packages/gpg/constants/__init__.py
+#usr/lib/python2.7/site-packages/gpg/constants/__init__.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/create.py
+#usr/lib/python2.7/site-packages/gpg/constants/create.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/data
+#usr/lib/python2.7/site-packages/gpg/constants/data/__init__.py
+#usr/lib/python2.7/site-packages/gpg/constants/data/__init__.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/data/encoding.py
+#usr/lib/python2.7/site-packages/gpg/constants/data/encoding.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/event.py
+#usr/lib/python2.7/site-packages/gpg/constants/event.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/import_type.py
+#usr/lib/python2.7/site-packages/gpg/constants/import_type.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/keylist
+#usr/lib/python2.7/site-packages/gpg/constants/keylist/__init__.py
+#usr/lib/python2.7/site-packages/gpg/constants/keylist/__init__.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/keylist/mode.py
+#usr/lib/python2.7/site-packages/gpg/constants/keylist/mode.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/keysign.py
+#usr/lib/python2.7/site-packages/gpg/constants/keysign.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/md.py
+#usr/lib/python2.7/site-packages/gpg/constants/md.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/pk.py
+#usr/lib/python2.7/site-packages/gpg/constants/pk.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/protocol.py
+#usr/lib/python2.7/site-packages/gpg/constants/protocol.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/sig
+#usr/lib/python2.7/site-packages/gpg/constants/sig/__init__.py
+#usr/lib/python2.7/site-packages/gpg/constants/sig/__init__.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/sig/mode.py
+#usr/lib/python2.7/site-packages/gpg/constants/sig/mode.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/sig/notation.py
+#usr/lib/python2.7/site-packages/gpg/constants/sig/notation.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/sigsum.py
+#usr/lib/python2.7/site-packages/gpg/constants/sigsum.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/status.py
+#usr/lib/python2.7/site-packages/gpg/constants/status.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/tofu
+#usr/lib/python2.7/site-packages/gpg/constants/tofu/__init__.py
+#usr/lib/python2.7/site-packages/gpg/constants/tofu/__init__.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/tofu/policy.py
+#usr/lib/python2.7/site-packages/gpg/constants/tofu/policy.pyc
+#usr/lib/python2.7/site-packages/gpg/constants/validity.py
+#usr/lib/python2.7/site-packages/gpg/constants/validity.pyc
+#usr/lib/python2.7/site-packages/gpg/core.py
+#usr/lib/python2.7/site-packages/gpg/core.pyc
+#usr/lib/python2.7/site-packages/gpg/errors.py
+#usr/lib/python2.7/site-packages/gpg/errors.pyc
+#usr/lib/python2.7/site-packages/gpg/gpgme.py
+#usr/lib/python2.7/site-packages/gpg/gpgme.pyc
+#usr/lib/python2.7/site-packages/gpg/results.py
+#usr/lib/python2.7/site-packages/gpg/results.pyc
+#usr/lib/python2.7/site-packages/gpg/util.py
+#usr/lib/python2.7/site-packages/gpg/util.pyc
+#usr/lib/python2.7/site-packages/gpg/version.py
+#usr/lib/python2.7/site-packages/gpg/version.pyc
+#usr/lib/python3.8/site-packages/gpg
+#usr/lib/python3.8/site-packages/gpg-1.15.1-py3.8.egg-info
+#usr/lib/python3.8/site-packages/gpg/__init__.py
+#usr/lib/python3.8/site-packages/gpg/_gpgme.cpython-38-x86_64-linux-gnu.so
+#usr/lib/python3.8/site-packages/gpg/callbacks.py
+#usr/lib/python3.8/site-packages/gpg/constants
+#usr/lib/python3.8/site-packages/gpg/constants/__init__.py
+#usr/lib/python3.8/site-packages/gpg/constants/create.py
+#usr/lib/python3.8/site-packages/gpg/constants/data
+#usr/lib/python3.8/site-packages/gpg/constants/data/__init__.py
+#usr/lib/python3.8/site-packages/gpg/constants/data/encoding.py
+#usr/lib/python3.8/site-packages/gpg/constants/event.py
+#usr/lib/python3.8/site-packages/gpg/constants/import_type.py
+#usr/lib/python3.8/site-packages/gpg/constants/keylist
+#usr/lib/python3.8/site-packages/gpg/constants/keylist/__init__.py
+#usr/lib/python3.8/site-packages/gpg/constants/keylist/mode.py
+#usr/lib/python3.8/site-packages/gpg/constants/keysign.py
+#usr/lib/python3.8/site-packages/gpg/constants/md.py
+#usr/lib/python3.8/site-packages/gpg/constants/pk.py
+#usr/lib/python3.8/site-packages/gpg/constants/protocol.py
+#usr/lib/python3.8/site-packages/gpg/constants/sig
+#usr/lib/python3.8/site-packages/gpg/constants/sig/__init__.py
+#usr/lib/python3.8/site-packages/gpg/constants/sig/mode.py
+#usr/lib/python3.8/site-packages/gpg/constants/sig/notation.py
+#usr/lib/python3.8/site-packages/gpg/constants/sigsum.py
+#usr/lib/python3.8/site-packages/gpg/constants/status.py
+#usr/lib/python3.8/site-packages/gpg/constants/tofu
+#usr/lib/python3.8/site-packages/gpg/constants/tofu/__init__.py
+#usr/lib/python3.8/site-packages/gpg/constants/tofu/policy.py
+#usr/lib/python3.8/site-packages/gpg/constants/validity.py
+#usr/lib/python3.8/site-packages/gpg/core.py
+#usr/lib/python3.8/site-packages/gpg/errors.py
+#usr/lib/python3.8/site-packages/gpg/gpgme.py
+#usr/lib/python3.8/site-packages/gpg/results.py
+#usr/lib/python3.8/site-packages/gpg/util.py
+#usr/lib/python3.8/site-packages/gpg/version.py
 #usr/share/aclocal/gpgme.m4
 usr/share/common-lisp/source/gpgme
+usr/share/common-lisp/source/gpgme/gpgme-grovel.lisp
 usr/share/common-lisp/source/gpgme/gpgme-package.lisp
 usr/share/common-lisp/source/gpgme/gpgme.asd
 usr/share/common-lisp/source/gpgme/gpgme.lisp
diff --git a/lfs/gpgme b/lfs/gpgme
index a6056fc8e..bb5ecd570 100644
--- a/lfs/gpgme
+++ b/lfs/gpgme
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.3.2
+VER        = 1.15.1
 
 THISAPP    = gpgme-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = gpgme
-PAK_VER    = 2
+PAK_VER    = 3
 
 DEPS       = libassuan
 
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 326fe97077141713f0930aa87949a287
+$(DL_FILE)_MD5 = e086c4575fe4d7840864fb7dfe97f692
 
 install : $(TARGET)
 