diff --git a/config/rootfiles/common/meson b/config/rootfiles/common/meson
index a9c2d7ad0..ac2ef3ccb 100644
--- a/config/rootfiles/common/meson
+++ b/config/rootfiles/common/meson
@@ -1,14 +1,13 @@
 #usr/bin/meson
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info/PKG-INFO
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info/SOURCES.txt
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info/dependency_links.txt
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info/entry_points.txt
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info/requires.txt
-#usr/lib/python3.8/site-packages/meson-0.56.0-py3.8.egg-info/top_level.txt
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info/PKG-INFO
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info/SOURCES.txt
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info/dependency_links.txt
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info/entry_points.txt
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info/requires.txt
+#usr/lib/python3.8/site-packages/meson-0.57.2-py3.8.egg-info/top_level.txt
 #usr/lib/python3.8/site-packages/mesonbuild
 #usr/lib/python3.8/site-packages/mesonbuild/__init__.py
-#usr/lib/python3.8/site-packages/mesonbuild/_pathlib.py
 #usr/lib/python3.8/site-packages/mesonbuild/arglist.py
 #usr/lib/python3.8/site-packages/mesonbuild/ast
 #usr/lib/python3.8/site-packages/mesonbuild/ast/__init__.py
@@ -93,7 +92,12 @@
 #usr/lib/python3.8/site-packages/mesonbuild/mconf.py
 #usr/lib/python3.8/site-packages/mesonbuild/mdist.py
 #usr/lib/python3.8/site-packages/mesonbuild/mesondata.py
-#usr/lib/python3.8/site-packages/mesonbuild/mesonlib.py
+#usr/lib/python3.8/site-packages/mesonbuild/mesonlib
+#usr/lib/python3.8/site-packages/mesonbuild/mesonlib/__init__.py
+#usr/lib/python3.8/site-packages/mesonbuild/mesonlib/platform.py
+#usr/lib/python3.8/site-packages/mesonbuild/mesonlib/posix.py
+#usr/lib/python3.8/site-packages/mesonbuild/mesonlib/universal.py
+#usr/lib/python3.8/site-packages/mesonbuild/mesonlib/win32.py
 #usr/lib/python3.8/site-packages/mesonbuild/mesonmain.py
 #usr/lib/python3.8/site-packages/mesonbuild/minit.py
 #usr/lib/python3.8/site-packages/mesonbuild/minstall.py
@@ -115,11 +119,13 @@
 #usr/lib/python3.8/site-packages/mesonbuild/modules/qt.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/qt4.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/qt5.py
+#usr/lib/python3.8/site-packages/mesonbuild/modules/qt6.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/rpm.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/sourceset.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/unstable_cuda.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/unstable_external_project.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/unstable_icestorm.py
+#usr/lib/python3.8/site-packages/mesonbuild/modules/unstable_rust.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/unstable_simd.py
 #usr/lib/python3.8/site-packages/mesonbuild/modules/windows.py
 #usr/lib/python3.8/site-packages/mesonbuild/mparser.py
@@ -135,10 +141,10 @@
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/clangtidy.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/cleantrees.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/cmake_run_ctgt.py
-#usr/lib/python3.8/site-packages/mesonbuild/scripts/commandrunner.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/coverage.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/delwithsuffix.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/depfixer.py
+#usr/lib/python3.8/site-packages/mesonbuild/scripts/depscan.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/dirchanger.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/externalproject.py
 #usr/lib/python3.8/site-packages/mesonbuild/scripts/gettext.py
diff --git a/lfs/meson b/lfs/meson
index 13c8c8c46..437b0065a 100644
--- a/lfs/meson
+++ b/lfs/meson
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 0.56.0
+VER        = 0.57.2
 
 THISAPP    = meson-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 67ce2c0c3eab1b8ee9ddaa1c5143e7c0
+$(DL_FILE)_MD5 = 4a07b6d42d7a46a6b6e9604fae7da9aa
 
 install : $(TARGET)
 