diff --git a/config/rootfiles/common/pcre b/config/rootfiles/common/pcre
index bd2e665fd..ce90d1d16 100644
--- a/config/rootfiles/common/pcre
+++ b/config/rootfiles/common/pcre
@@ -10,15 +10,15 @@ usr/bin/pcregrep
 #usr/lib/libpcre.la
 usr/lib/libpcre.so
 usr/lib/libpcre.so.1
-usr/lib/libpcre.so.1.2.12
+usr/lib/libpcre.so.1.2.13
 #usr/lib/libpcre16.la
 usr/lib/libpcre16.so
 usr/lib/libpcre16.so.0
-usr/lib/libpcre16.so.0.2.12
+usr/lib/libpcre16.so.0.2.13
 #usr/lib/libpcre32.la
 usr/lib/libpcre32.so
 usr/lib/libpcre32.so.0
-usr/lib/libpcre32.so.0.0.12
+usr/lib/libpcre32.so.0.0.13
 #usr/lib/libpcrecpp.la
 usr/lib/libpcrecpp.so
 usr/lib/libpcrecpp.so.0
@@ -32,72 +32,72 @@ usr/lib/libpcreposix.so.0.0.7
 #usr/lib/pkgconfig/libpcre32.pc
 #usr/lib/pkgconfig/libpcrecpp.pc
 #usr/lib/pkgconfig/libpcreposix.pc
-#usr/share/doc/pcre-pcre-8.44
-#usr/share/doc/pcre-pcre-8.44/AUTHORS
-#usr/share/doc/pcre-pcre-8.44/COPYING
-#usr/share/doc/pcre-pcre-8.44/ChangeLog
-#usr/share/doc/pcre-pcre-8.44/LICENCE
-#usr/share/doc/pcre-pcre-8.44/NEWS
-#usr/share/doc/pcre-pcre-8.44/README
-#usr/share/doc/pcre-pcre-8.44/html
-#usr/share/doc/pcre-pcre-8.44/html/NON-AUTOTOOLS-BUILD.txt
-#usr/share/doc/pcre-pcre-8.44/html/README.txt
-#usr/share/doc/pcre-pcre-8.44/html/index.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre-config.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre16.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre32.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_assign_jit_stack.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_compile.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_compile2.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_config.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_copy_named_substring.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_copy_substring.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_dfa_exec.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_exec.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_free_study.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_free_substring.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_free_substring_list.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_fullinfo.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_get_named_substring.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_get_stringnumber.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_get_stringtable_entries.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_get_substring.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_get_substring_list.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_jit_exec.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_jit_stack_alloc.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_jit_stack_free.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_maketables.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_pattern_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_refcount.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_study.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_utf16_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_utf32_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.44/html/pcre_version.html
-#usr/share/doc/pcre-pcre-8.44/html/pcreapi.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrebuild.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrecallout.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrecompat.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrecpp.html
-#usr/share/doc/pcre-pcre-8.44/html/pcredemo.html
-#usr/share/doc/pcre-pcre-8.44/html/pcregrep.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrejit.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrelimits.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrematching.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrepartial.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrepattern.html
-#usr/share/doc/pcre-pcre-8.44/html/pcreperform.html
-#usr/share/doc/pcre-pcre-8.44/html/pcreposix.html
-#usr/share/doc/pcre-pcre-8.44/html/pcreprecompile.html
-#usr/share/doc/pcre-pcre-8.44/html/pcresample.html
-#usr/share/doc/pcre-pcre-8.44/html/pcrestack.html
-#usr/share/doc/pcre-pcre-8.44/html/pcresyntax.html
-#usr/share/doc/pcre-pcre-8.44/html/pcretest.html
-#usr/share/doc/pcre-pcre-8.44/html/pcreunicode.html
-#usr/share/doc/pcre-pcre-8.44/pcre-config.txt
-#usr/share/doc/pcre-pcre-8.44/pcre.txt
-#usr/share/doc/pcre-pcre-8.44/pcregrep.txt
-#usr/share/doc/pcre-pcre-8.44/pcretest.txt
+#usr/share/doc/pcre-pcre-8.45
+#usr/share/doc/pcre-pcre-8.45/AUTHORS
+#usr/share/doc/pcre-pcre-8.45/COPYING
+#usr/share/doc/pcre-pcre-8.45/ChangeLog
+#usr/share/doc/pcre-pcre-8.45/LICENCE
+#usr/share/doc/pcre-pcre-8.45/NEWS
+#usr/share/doc/pcre-pcre-8.45/README
+#usr/share/doc/pcre-pcre-8.45/html
+#usr/share/doc/pcre-pcre-8.45/html/NON-AUTOTOOLS-BUILD.txt
+#usr/share/doc/pcre-pcre-8.45/html/README.txt
+#usr/share/doc/pcre-pcre-8.45/html/index.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre-config.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre16.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre32.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_assign_jit_stack.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_compile.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_compile2.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_config.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_copy_named_substring.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_copy_substring.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_dfa_exec.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_exec.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_free_study.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_free_substring.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_free_substring_list.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_fullinfo.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_get_named_substring.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_get_stringnumber.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_get_stringtable_entries.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_get_substring.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_get_substring_list.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_jit_exec.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_jit_stack_alloc.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_jit_stack_free.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_maketables.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_pattern_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_refcount.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_study.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_utf16_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_utf32_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.45/html/pcre_version.html
+#usr/share/doc/pcre-pcre-8.45/html/pcreapi.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrebuild.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrecallout.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrecompat.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrecpp.html
+#usr/share/doc/pcre-pcre-8.45/html/pcredemo.html
+#usr/share/doc/pcre-pcre-8.45/html/pcregrep.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrejit.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrelimits.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrematching.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrepartial.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrepattern.html
+#usr/share/doc/pcre-pcre-8.45/html/pcreperform.html
+#usr/share/doc/pcre-pcre-8.45/html/pcreposix.html
+#usr/share/doc/pcre-pcre-8.45/html/pcreprecompile.html
+#usr/share/doc/pcre-pcre-8.45/html/pcresample.html
+#usr/share/doc/pcre-pcre-8.45/html/pcrestack.html
+#usr/share/doc/pcre-pcre-8.45/html/pcresyntax.html
+#usr/share/doc/pcre-pcre-8.45/html/pcretest.html
+#usr/share/doc/pcre-pcre-8.45/html/pcreunicode.html
+#usr/share/doc/pcre-pcre-8.45/pcre-config.txt
+#usr/share/doc/pcre-pcre-8.45/pcre.txt
+#usr/share/doc/pcre-pcre-8.45/pcregrep.txt
+#usr/share/doc/pcre-pcre-8.45/pcretest.txt
 #usr/share/man/man1/pcre-config.1
 #usr/share/man/man1/pcregrep.1
 #usr/share/man/man1/pcretest.1
diff --git a/lfs/pcre b/lfs/pcre
index e73f3fa08..981a29323 100644
--- a/lfs/pcre
+++ b/lfs/pcre
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 8.44
+VER        = 8.45
 
 THISAPP    = pcre-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -58,7 +58,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = cf7326204cc46c755b5b2608033d9d24
+$(DL_FILE)_MD5 = 4452288e6a0eefb2ab11d36010a1eebb
 
 install : $(TARGET)
 